[Openvpn-devel] README.wolfssl Update

Message ID 20210319134322.131905-1-juliusz@wolfssl.com
State Accepted
Headers show
Series
  • [Openvpn-devel] README.wolfssl Update
Related show

Commit Message

Juliusz Sosinowicz March 19, 2021, 1:43 p.m.
Updates for the wolfSSL README file:
- fix typos
- correct wolfSSL company spelling
- add a point of contact for users having problems using OpenVPN + wolfSSL

Signed-off-by: Juliusz Sosinowicz <juliusz@wolfssl.com>
---
 README.wolfssl | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

Comments

Gert Doering March 19, 2021, 2:21 p.m. | #1
Acked-by: Gert Doering <gert@greenie.muc.de>

Thanks.  Documentation is always good.

Your patch has been applied to the master branch.

commit 1480903e1c52b3064250672c5221f71f95d8b5a5
Author: Juliusz Sosinowicz
Date:   Fri Mar 19 14:43:22 2021 +0100

     README.wolfssl Update

     Signed-off-by: Juliusz Sosinowicz <juliusz@wolfssl.com>
     Acked-by: Gert Doering <gert@greenie.muc.de>
     Message-Id: <20210319134322.131905-1-juliusz@wolfssl.com>
     URL: https://www.mail-archive.com/openvpn-devel@lists.sourceforge.net/msg21722.html
     Signed-off-by: Gert Doering <gert@greenie.muc.de>


--
kind regards,

Gert Doering

Patch

diff --git a/README.wolfssl b/README.wolfssl
index d417807b..a5dfe31f 100644
--- a/README.wolfssl
+++ b/README.wolfssl
@@ -1,10 +1,11 @@ 
-Support for WolfSSL is implemented and maintained by WolfSSL Inc. The support is
-implemented using WolfSSL's compatiblity layer. The WolfSSL support in OpenVPN
+Support for wolfSSL is implemented and maintained by wolfSSL Inc. The support is
+implemented using wolfSSL's compatibility layer. The wolfSSL support in OpenVPN
 receives very limited testing/support from the OpenVPN community itself.
 
-If bugs in OpenVPN when using WolfSSL are encountered, the user should try to
-also compile OpenVPN with OpenSSL to determinate if these are bugs in the
-WolfSSL TLS implemenation or OpenVPN itself.
+If bugs in OpenVPN when using wolfSSL are encountered, the user should try to
+also compile OpenVPN with OpenSSL to determine if these are bugs in the
+wolfSSL TLS implementation or OpenVPN itself. If bugs are caused by compiling
+with wolfSSL, please contact support@wolfssl.com directly.
 
 To Build and Install,
 
@@ -21,7 +22,7 @@  make
 make install
 
 *************************************************************************
-Due to limitations in the wolfSSL TLS library or its compability layer, the
+Due to limitations in the wolfSSL TLS library or its compatibility layer, the
 following features are missing
 
  * blowfish support (BF-CBC), you must use something like